<?php
/**
* @version   $Id: mod_smsout.php 2010-01-29 02:00:00Z mirko boeer $
* @package  SMSout SMS-Newsletter
* @copyright    Copyright (C) 2001-2010 Mirko Boeer, Leipzig. All rights reserved.
* @license   GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

  /** ensure this file is being included by a parent file */
  defined('_JEXEC') or die('Direct Access to this location is not allowed.');

if(!function_exists("unhtmlentities")) {
  function unhtmlentities($string)
  {
      if(function_exists("html_entity_decode")) {
        // replace numeric entities
        $string = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $string);
        $string = preg_replace('~&#([0-9]+);~e', 'chr("\\1")', $string);
        // replace literal entities
        $trans_tbl = get_html_translation_table(HTML_ENTITIES);
        $trans_tbl = array_flip($trans_tbl);
        return strtr($string, $trans_tbl);
      } else
        return html_entity_decode($string);
  }
}

function hu($s){
  $x = unhtmlentities($s);
  if($x != $s) {
    $s = $x;
    return utf8_encode($s);
  } else
    return $s;
}

$divclass='modulecontent';
if($params->get( 'moduleclass_sfx', 'moduletable' ) != 'moduletable')
  $divclass=$params->get( 'moduleclass_sfx', 'moduletable' );

?>

<!--SMS-Newsletteranmeldung beginnt hier-->
<div class="<?php echo $divclass; ?>">
<form method="POST" action="http://www.smsout.de/customers/smsnewsletter.php" target="_blank">
<input type="hidden" name="customer_id" value="<?php echo hu($params->get( 'customer_id', '0' )); ?>" />
<input type="hidden" name="newsletter_id" value="<?php echo hu($params->get( 'newsletter_id', '0' )); ?>" />

       <p>
       <b><?php echo hu($params->get( 'module_description', 'Newsletteranmeldung' )); ?></b></p>
       <p><?php echo hu($params->get( 'cellphone_desc', 'Handy-Nr.:' )); ?><br />
       <input type="text" name="handynr" size="" class="inputbox" />
       </p>

       <?php
         if(($params->get( 'name_visible', '0' )))
              print '  <p>'.hu($params->get( 'name_desc', '' )).'<br />
                <input type="text" name="name" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'firstname_visible', '0' )))
              print '  <p>'.hu($params->get( 'firstname_desc', '' )).'<br />
                <input type="text" name="vorname" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'email_visible', '0' )))
              print '  <p>'.hu($params->get( 'email_desc', '' )).'<br />
                <input type="text" name="email" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'birthday_visible', '0' )))
              print '  <p>'.hu($params->get( 'birthday_desc', '' )).'<br />
                <input type="text" name="geburtsdatum" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'street_visible', '0' )))
              print '  <p>'.hu($params->get( 'street_desc', '' )).'<br />
                <input type="text" name="strasse" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'zipcode_visible', '0' )))
              print '  <p>'.hu($params->get( 'zipcode_desc', '' )).'<br />
                <input type="text" name="plz" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'town_visible', '0' )))
              print '  <p>'.hu($params->get( 'town_desc', '' )).'<br />
                <input type="text" name="ort" size="" class="inputbox" />
                </p> ';
         if(($params->get( 'country_visible', '0' )))
              print '  <p>'.hu($params->get( 'country_desc', '' )).'<br />
                <select size="1" name="land"><option>Deutschland</option><option>sterreich</option><option>Schweiz</option></select>
                </p> ';
       ?>

       <p>
       <?php echo ($params->get( 'newsletter_action_desc', 'Sie m&ouml;chten sich f&uuml;r unseren Newsletter' )); ?><br />
        <input type="radio" value="subscribe" checked="checked" name="action" /><?php echo hu($params->get( 'sub_rb_desc', 'anmelden' )); ?><br />
        <input type="radio" value="unsubscribe" name="action" /><?php echo hu($params->get( 'unsub_rb_desc', 'abmelden' )); ?>
       </p>
       <p>&nbsp;</p>
       <p>
       <input type="submit" value="<?php echo hu($params->get( 'submit_btn_desc', 'Absenden' )); ?>" name="SubmitBtn">
       <br /><br />
       <?php
       if(($params->get( 'poweredBy_visible', 1 ))) {
         print '
         <span style="font-size:7pt">Ein&nbsp;Service&nbsp;von&nbsp;
         <a href="http://www.smsout.de" target="_blank">SMSout.de</a></span>
         ';
       }
       ?>
       </p>
</form>
</div>
<!--SMS-Newsletteranmeldung endet hier-->

